<lib-table
	#table
	[columnsToDisplay]="displayedColumns"
	[pageSizeOptions]="[10, 20, 50, 100]"
	(update)="updateData($event)"
	matSort
	matSortDirection="desc"
	[matSortActive]="displayedColumns[0]"
	filterLabel="{{ 'transl.simple.filter' | translate }}"
>
	<ng-container matColumnDef="name">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.name' | translate }}</th>
		<td mat-cell *matCellDef="let item"> {{ item.name }} </td>
	</ng-container>

	<ng-container matColumnDef="actions">
		<th mat-header-cell *matHeaderCellDef>{{ 'transl.simple.actions' | translate }}</th>
		<td mat-cell *matCellDef="let item">
			<button
				mat-icon-button
				[attr.aria-label]="'transl.simple.edit' | translate"
				[matTooltip]="'transl.simple.edit' | translate"
				(click)="tenantService.navigateToTenant(['categories', item._id])"
			>
				<mat-icon>edit</mat-icon>
			</button>
			<button
				mat-icon-button
				[attr.aria-label]="'transl.simple.delete' | translate"
				[matTooltip]="'transl.simple.edit' | translate"
				(click)="delete(item)"
			>
				<mat-icon>delete</mat-icon>
			</button>
		</td>
	</ng-container>
</lib-table>

<button class="fab" mat-fab color="accent" (click)="tenantService.navigateToTenant(['categories', 'create'])">
	<mat-icon>add</mat-icon>
</button>
